import { Http,Util } from '@/utils';
import EntityService from '../entity-service';



/**
 * 库存服务对象基类
 *
 * @export
 * @class EMStockServiceBase
 * @extends {EntityServie}
 */
export default class EMStockServiceBase extends EntityService {

    /**
     * Creates an instance of  EMStockServiceBase.
     * 
     * @param {*} [opts={}]
     * @memberof  EMStockServiceBase
     */
    constructor(opts: any = {}) {
        super(opts);
    }

    /**
     * 初始化基础数据
     *
     * @memberof EMStockServiceBase
     */
    public initBasicData(){
        this.APPLYDEKEY ='emstock';
        this.APPDEKEY = 'emstockid';
        this.APPDENAME = 'emstocks';
        this.APPDETEXT = 'emstockname';
        this.APPNAME = 'eamweb';
        this.SYSTEMNAME = 'eam_practice03';
    }

// 实体接口

    /**
     * Select接口方法
     *
     * @param {*} [context={}]
     * @param {*} [data={}]
     * @param {boolean} [isloading]
     * @returns {Promise<any>}
     * @memberof EMStockServiceBase
     */
    public async Select(context: any = {},data: any = {}, isloading?: boolean): Promise<any> {
        if(context.emstore && context.emstorepart && context.emitem && context.emstock){
            return Http.getInstance().get(`/emstores/${context.emstore}/emstoreparts/${context.emstorepart}/emitems/${context.emitem}/emstocks/${context.emstock}/select`,isloading);
        }
        if(context.emstore && context.emstorepart && context.emstock){
            return Http.getInstance().get(`/emstores/${context.emstore}/emstoreparts/${context.emstorepart}/emstocks/${context.emstock}/select`,isloading);
        }
        if(context.pfunit && context.emitem && context.emstock){
            return Http.getInstance().get(`/pfunits/${context.pfunit}/emitems/${context.emitem}/emstocks/${context.emstock}/select`,isloading);
        }
        if(context.pfemp && context.emitem && context.emstock){
            return Http.getInstance().get(`/pfemps/${context.pfemp}/emitems/${context.emitem}/emstocks/${context.emstock}/select`,isloading);
        }
        if(context.emstore && context.emitem && context.emstock){
            return Http.getInstance().get(`/emstores/${context.emstore}/emitems/${context.emitem}/emstocks/${context.emstock}/select`,isloading);
        }
        if(context.emstorepart && context.emitem && context.emstock){
            return Http.getInstance().get(`/emstoreparts/${context.emstorepart}/emitems/${context.emitem}/emstocks/${context.emstock}/select`,isloading);
        }
        if(context.emservice && context.emitem && context.emstock){
            return Http.getInstance().get(`/emservices/${context.emservice}/emitems/${context.emitem}/emstocks/${context.emstock}/select`,isloading);
        }
        if(context.emstore && context.emstock){
            return Http.getInstance().get(`/emstores/${context.emstore}/emstocks/${context.emstock}/select`,isloading);
        }
        if(context.emstorepart && context.emstock){
            return Http.getInstance().get(`/emstoreparts/${context.emstorepart}/emstocks/${context.emstock}/select`,isloading);
        }
        if(context.emitem && context.emstock){
            return Http.getInstance().get(`/emitems/${context.emitem}/emstocks/${context.emstock}/select`,isloading);
        }
            return Http.getInstance().get(`/emstocks/${context.emstock}/select`,isloading);
    }

    /**
     * CheckKey接口方法
     *
     * @param {*} [context={}]
     * @param {*} [data={}]
     * @param {boolean} [isloading]
     * @returns {Promise<any>}
     * @memberof EMStockServiceBase
     */
    public async CheckKey(context: any = {},data: any = {}, isloading?: boolean): Promise<any> {
        if(context.emstore && context.emstorepart && context.emitem && context.emstock){
            return Http.getInstance().post(`/emstores/${context.emstore}/emstoreparts/${context.emstorepart}/emitems/${context.emitem}/emstocks/${context.emstock}/checkkey`,data,isloading);
        }
        if(context.emstore && context.emstorepart && context.emstock){
            return Http.getInstance().post(`/emstores/${context.emstore}/emstoreparts/${context.emstorepart}/emstocks/${context.emstock}/checkkey`,data,isloading);
        }
        if(context.pfunit && context.emitem && context.emstock){
            return Http.getInstance().post(`/pfunits/${context.pfunit}/emitems/${context.emitem}/emstocks/${context.emstock}/checkkey`,data,isloading);
        }
        if(context.pfemp && context.emitem && context.emstock){
            return Http.getInstance().post(`/pfemps/${context.pfemp}/emitems/${context.emitem}/emstocks/${context.emstock}/checkkey`,data,isloading);
        }
        if(context.emstore && context.emitem && context.emstock){
            return Http.getInstance().post(`/emstores/${context.emstore}/emitems/${context.emitem}/emstocks/${context.emstock}/checkkey`,data,isloading);
        }
        if(context.emstorepart && context.emitem && context.emstock){
            return Http.getInstance().post(`/emstoreparts/${context.emstorepart}/emitems/${context.emitem}/emstocks/${context.emstock}/checkkey`,data,isloading);
        }
        if(context.emservice && context.emitem && context.emstock){
            return Http.getInstance().post(`/emservices/${context.emservice}/emitems/${context.emitem}/emstocks/${context.emstock}/checkkey`,data,isloading);
        }
        if(context.emstore && context.emstock){
            return Http.getInstance().post(`/emstores/${context.emstore}/emstocks/${context.emstock}/checkkey`,data,isloading);
        }
        if(context.emstorepart && context.emstock){
            return Http.getInstance().post(`/emstoreparts/${context.emstorepart}/emstocks/${context.emstock}/checkkey`,data,isloading);
        }
        if(context.emitem && context.emstock){
            return Http.getInstance().post(`/emitems/${context.emitem}/emstocks/${context.emstock}/checkkey`,data,isloading);
        }
            return Http.getInstance().post(`/emstocks/${context.emstock}/checkkey`,data,isloading);
    }

    /**
     * Update接口方法
     *
     * @param {*} [context={}]
     * @param {*} [data={}]
     * @param {boolean} [isloading]
     * @returns {Promise<any>}
     * @memberof EMStockServiceBase
     */
    public async Update(context: any = {},data: any = {}, isloading?: boolean): Promise<any> {
        if(context.emstore && context.emstorepart && context.emitem && context.emstock){
            return Http.getInstance().put(`/emstores/${context.emstore}/emstoreparts/${context.emstorepart}/emitems/${context.emitem}/emstocks/${context.emstock}`,data,isloading);
        }
        if(context.emstore && context.emstorepart && context.emstock){
            return Http.getInstance().put(`/emstores/${context.emstore}/emstoreparts/${context.emstorepart}/emstocks/${context.emstock}`,data,isloading);
        }
        if(context.pfunit && context.emitem && context.emstock){
            return Http.getInstance().put(`/pfunits/${context.pfunit}/emitems/${context.emitem}/emstocks/${context.emstock}`,data,isloading);
        }
        if(context.pfemp && context.emitem && context.emstock){
            return Http.getInstance().put(`/pfemps/${context.pfemp}/emitems/${context.emitem}/emstocks/${context.emstock}`,data,isloading);
        }
        if(context.emstore && context.emitem && context.emstock){
            return Http.getInstance().put(`/emstores/${context.emstore}/emitems/${context.emitem}/emstocks/${context.emstock}`,data,isloading);
        }
        if(context.emstorepart && context.emitem && context.emstock){
            return Http.getInstance().put(`/emstoreparts/${context.emstorepart}/emitems/${context.emitem}/emstocks/${context.emstock}`,data,isloading);
        }
        if(context.emservice && context.emitem && context.emstock){
            return Http.getInstance().put(`/emservices/${context.emservice}/emitems/${context.emitem}/emstocks/${context.emstock}`,data,isloading);
        }
        if(context.emstore && context.emstock){
            return Http.getInstance().put(`/emstores/${context.emstore}/emstocks/${context.emstock}`,data,isloading);
        }
        if(context.emstorepart && context.emstock){
            return Http.getInstance().put(`/emstoreparts/${context.emstorepart}/emstocks/${context.emstock}`,data,isloading);
        }
        if(context.emitem && context.emstock){
            return Http.getInstance().put(`/emitems/${context.emitem}/emstocks/${context.emstock}`,data,isloading);
        }
        let masterData:any = {};
        Object.assign(data,masterData);
            let res:any = await  Http.getInstance().put(`/emstocks/${context.emstock}`,data,isloading);
            return res;
    }

    /**
     * Save接口方法
     *
     * @param {*} [context={}]
     * @param {*} [data={}]
     * @param {boolean} [isloading]
     * @returns {Promise<any>}
     * @memberof EMStockServiceBase
     */
    public async Save(context: any = {},data: any = {}, isloading?: boolean): Promise<any> {
        if(context.emstore && context.emstorepart && context.emitem && context.emstock){
            return Http.getInstance().post(`/emstores/${context.emstore}/emstoreparts/${context.emstorepart}/emitems/${context.emitem}/emstocks/${context.emstock}/save`,data,isloading);
        }
        if(context.emstore && context.emstorepart && context.emstock){
            return Http.getInstance().post(`/emstores/${context.emstore}/emstoreparts/${context.emstorepart}/emstocks/${context.emstock}/save`,data,isloading);
        }
        if(context.pfunit && context.emitem && context.emstock){
            return Http.getInstance().post(`/pfunits/${context.pfunit}/emitems/${context.emitem}/emstocks/${context.emstock}/save`,data,isloading);
        }
        if(context.pfemp && context.emitem && context.emstock){
            return Http.getInstance().post(`/pfemps/${context.pfemp}/emitems/${context.emitem}/emstocks/${context.emstock}/save`,data,isloading);
        }
        if(context.emstore && context.emitem && context.emstock){
            return Http.getInstance().post(`/emstores/${context.emstore}/emitems/${context.emitem}/emstocks/${context.emstock}/save`,data,isloading);
        }
        if(context.emstorepart && context.emitem && context.emstock){
            return Http.getInstance().post(`/emstoreparts/${context.emstorepart}/emitems/${context.emitem}/emstocks/${context.emstock}/save`,data,isloading);
        }
        if(context.emservice && context.emitem && context.emstock){
            return Http.getInstance().post(`/emservices/${context.emservice}/emitems/${context.emitem}/emstocks/${context.emstock}/save`,data,isloading);
        }
        if(context.emstore && context.emstock){
            return Http.getInstance().post(`/emstores/${context.emstore}/emstocks/${context.emstock}/save`,data,isloading);
        }
        if(context.emstorepart && context.emstock){
            return Http.getInstance().post(`/emstoreparts/${context.emstorepart}/emstocks/${context.emstock}/save`,data,isloading);
        }
        if(context.emitem && context.emstock){
            return Http.getInstance().post(`/emitems/${context.emitem}/emstocks/${context.emstock}/save`,data,isloading);
        }
        let masterData:any = {};
        Object.assign(data,masterData);
            let res:any = await  Http.getInstance().post(`/emstocks/${context.emstock}/save`,data,isloading);
            return res;
    }

    /**
     * Create接口方法
     *
     * @param {*} [context={}]
     * @param {*} [data={}]
     * @param {boolean} [isloading]
     * @returns {Promise<any>}
     * @memberof EMStockServiceBase
     */
    public async Create(context: any = {},data: any = {}, isloading?: boolean): Promise<any> {
        if(context.emstore && context.emstorepart && context.emitem && true){
            if(!data.srffrontuf || data.srffrontuf !== "1"){
                data[this.APPDEKEY] = null;
            }
            if(data.srffrontuf){
                delete data.srffrontuf;
            }
            return Http.getInstance().post(`/emstores/${context.emstore}/emstoreparts/${context.emstorepart}/emitems/${context.emitem}/emstocks`,data,isloading);
        }
        if(context.emstore && context.emstorepart && true){
            if(!data.srffrontuf || data.srffrontuf !== "1"){
                data[this.APPDEKEY] = null;
            }
            if(data.srffrontuf){
                delete data.srffrontuf;
            }
            return Http.getInstance().post(`/emstores/${context.emstore}/emstoreparts/${context.emstorepart}/emstocks`,data,isloading);
        }
        if(context.pfunit && context.emitem && true){
            if(!data.srffrontuf || data.srffrontuf !== "1"){
                data[this.APPDEKEY] = null;
            }
            if(data.srffrontuf){
                delete data.srffrontuf;
            }
            return Http.getInstance().post(`/pfunits/${context.pfunit}/emitems/${context.emitem}/emstocks`,data,isloading);
        }
        if(context.pfemp && context.emitem && true){
            if(!data.srffrontuf || data.srffrontuf !== "1"){
                data[this.APPDEKEY] = null;
            }
            if(data.srffrontuf){
                delete data.srffrontuf;
            }
            return Http.getInstance().post(`/pfemps/${context.pfemp}/emitems/${context.emitem}/emstocks`,data,isloading);
        }
        if(context.emstore && context.emitem && true){
            if(!data.srffrontuf || data.srffrontuf !== "1"){
                data[this.APPDEKEY] = null;
            }
            if(data.srffrontuf){
                delete data.srffrontuf;
            }
            return Http.getInstance().post(`/emstores/${context.emstore}/emitems/${context.emitem}/emstocks`,data,isloading);
        }
        if(context.emstorepart && context.emitem && true){
            if(!data.srffrontuf || data.srffrontuf !== "1"){
                data[this.APPDEKEY] = null;
            }
            if(data.srffrontuf){
                delete data.srffrontuf;
            }
            return Http.getInstance().post(`/emstoreparts/${context.emstorepart}/emitems/${context.emitem}/emstocks`,data,isloading);
        }
        if(context.emservice && context.emitem && true){
            if(!data.srffrontuf || data.srffrontuf !== "1"){
                data[this.APPDEKEY] = null;
            }
            if(data.srffrontuf){
                delete data.srffrontuf;
            }
            return Http.getInstance().post(`/emservices/${context.emservice}/emitems/${context.emitem}/emstocks`,data,isloading);
        }
        if(context.emstore && true){
            if(!data.srffrontuf || data.srffrontuf !== "1"){
                data[this.APPDEKEY] = null;
            }
            if(data.srffrontuf){
                delete data.srffrontuf;
            }
            return Http.getInstance().post(`/emstores/${context.emstore}/emstocks`,data,isloading);
        }
        if(context.emstorepart && true){
            if(!data.srffrontuf || data.srffrontuf !== "1"){
                data[this.APPDEKEY] = null;
            }
            if(data.srffrontuf){
                delete data.srffrontuf;
            }
            return Http.getInstance().post(`/emstoreparts/${context.emstorepart}/emstocks`,data,isloading);
        }
        if(context.emitem && true){
            if(!data.srffrontuf || data.srffrontuf !== "1"){
                data[this.APPDEKEY] = null;
            }
            if(data.srffrontuf){
                delete data.srffrontuf;
            }
            return Http.getInstance().post(`/emitems/${context.emitem}/emstocks`,data,isloading);
        }
        let masterData:any = {};
        Object.assign(data,masterData);
        if(!data.srffrontuf || data.srffrontuf !== "1"){
            data[this.APPDEKEY] = null;
        }
        if(data.srffrontuf){
            delete data.srffrontuf;
        }
        let tempContext:any = JSON.parse(JSON.stringify(context));
        let res:any = await Http.getInstance().post(`/emstocks`,data,isloading);
        return res;
    }

    /**
     * Remove接口方法
     *
     * @param {*} [context={}]
     * @param {*} [data={}]
     * @param {boolean} [isloading]
     * @returns {Promise<any>}
     * @memberof EMStockServiceBase
     */
    public async Remove(context: any = {},data: any = {}, isloading?: boolean): Promise<any> {
        if(context.emstore && context.emstorepart && context.emitem && context.emstock){
            return Http.getInstance().delete(`/emstores/${context.emstore}/emstoreparts/${context.emstorepart}/emitems/${context.emitem}/emstocks/${context.emstock}`,isloading);
        }
        if(context.emstore && context.emstorepart && context.emstock){
            return Http.getInstance().delete(`/emstores/${context.emstore}/emstoreparts/${context.emstorepart}/emstocks/${context.emstock}`,isloading);
        }
        if(context.pfunit && context.emitem && context.emstock){
            return Http.getInstance().delete(`/pfunits/${context.pfunit}/emitems/${context.emitem}/emstocks/${context.emstock}`,isloading);
        }
        if(context.pfemp && context.emitem && context.emstock){
            return Http.getInstance().delete(`/pfemps/${context.pfemp}/emitems/${context.emitem}/emstocks/${context.emstock}`,isloading);
        }
        if(context.emstore && context.emitem && context.emstock){
            return Http.getInstance().delete(`/emstores/${context.emstore}/emitems/${context.emitem}/emstocks/${context.emstock}`,isloading);
        }
        if(context.emstorepart && context.emitem && context.emstock){
            return Http.getInstance().delete(`/emstoreparts/${context.emstorepart}/emitems/${context.emitem}/emstocks/${context.emstock}`,isloading);
        }
        if(context.emservice && context.emitem && context.emstock){
            return Http.getInstance().delete(`/emservices/${context.emservice}/emitems/${context.emitem}/emstocks/${context.emstock}`,isloading);
        }
        if(context.emstore && context.emstock){
            return Http.getInstance().delete(`/emstores/${context.emstore}/emstocks/${context.emstock}`,isloading);
        }
        if(context.emstorepart && context.emstock){
            return Http.getInstance().delete(`/emstoreparts/${context.emstorepart}/emstocks/${context.emstock}`,isloading);
        }
        if(context.emitem && context.emstock){
            return Http.getInstance().delete(`/emitems/${context.emitem}/emstocks/${context.emstock}`,isloading);
        }
            return Http.getInstance().delete(`/emstocks/${context.emstock}`,isloading);

    }

    /**
     * GetDraft接口方法
     *
     * @param {*} [context={}]
     * @param {*} [data={}]
     * @param {boolean} [isloading]
     * @returns {Promise<any>}
     * @memberof EMStockServiceBase
     */
    public async GetDraft(context: any = {},data: any = {}, isloading?: boolean): Promise<any> {
        if(context.emstore && context.emstorepart && context.emitem && true){
            return Http.getInstance().get(`/emstores/${context.emstore}/emstoreparts/${context.emstorepart}/emitems/${context.emitem}/emstocks/getdraft`,isloading);
        }
        if(context.emstore && context.emstorepart && true){
            return Http.getInstance().get(`/emstores/${context.emstore}/emstoreparts/${context.emstorepart}/emstocks/getdraft`,isloading);
        }
        if(context.pfunit && context.emitem && true){
            return Http.getInstance().get(`/pfunits/${context.pfunit}/emitems/${context.emitem}/emstocks/getdraft`,isloading);
        }
        if(context.pfemp && context.emitem && true){
            return Http.getInstance().get(`/pfemps/${context.pfemp}/emitems/${context.emitem}/emstocks/getdraft`,isloading);
        }
        if(context.emstore && context.emitem && true){
            return Http.getInstance().get(`/emstores/${context.emstore}/emitems/${context.emitem}/emstocks/getdraft`,isloading);
        }
        if(context.emstorepart && context.emitem && true){
            return Http.getInstance().get(`/emstoreparts/${context.emstorepart}/emitems/${context.emitem}/emstocks/getdraft`,isloading);
        }
        if(context.emservice && context.emitem && true){
            return Http.getInstance().get(`/emservices/${context.emservice}/emitems/${context.emitem}/emstocks/getdraft`,isloading);
        }
        if(context.emstore && true){
            return Http.getInstance().get(`/emstores/${context.emstore}/emstocks/getdraft`,isloading);
        }
        if(context.emstorepart && true){
            return Http.getInstance().get(`/emstoreparts/${context.emstorepart}/emstocks/getdraft`,isloading);
        }
        if(context.emitem && true){
            return Http.getInstance().get(`/emitems/${context.emitem}/emstocks/getdraft`,isloading);
        }
        let res:any = await  Http.getInstance().get(`/emstocks/getdraft`,isloading);
        res.data.emstock = data.emstock;
        return res;
    }

    /**
     * Get接口方法
     *
     * @param {*} [context={}]
     * @param {*} [data={}]
     * @param {boolean} [isloading]
     * @returns {Promise<any>}
     * @memberof EMStockServiceBase
     */
    public async Get(context: any = {},data: any = {}, isloading?: boolean): Promise<any> {
        if(context.emstore && context.emstorepart && context.emitem && context.emstock){
            return Http.getInstance().get(`/emstores/${context.emstore}/emstoreparts/${context.emstorepart}/emitems/${context.emitem}/emstocks/${context.emstock}`,isloading);
        }
        if(context.emstore && context.emstorepart && context.emstock){
            return Http.getInstance().get(`/emstores/${context.emstore}/emstoreparts/${context.emstorepart}/emstocks/${context.emstock}`,isloading);
        }
        if(context.pfunit && context.emitem && context.emstock){
            return Http.getInstance().get(`/pfunits/${context.pfunit}/emitems/${context.emitem}/emstocks/${context.emstock}`,isloading);
        }
        if(context.pfemp && context.emitem && context.emstock){
            return Http.getInstance().get(`/pfemps/${context.pfemp}/emitems/${context.emitem}/emstocks/${context.emstock}`,isloading);
        }
        if(context.emstore && context.emitem && context.emstock){
            return Http.getInstance().get(`/emstores/${context.emstore}/emitems/${context.emitem}/emstocks/${context.emstock}`,isloading);
        }
        if(context.emstorepart && context.emitem && context.emstock){
            return Http.getInstance().get(`/emstoreparts/${context.emstorepart}/emitems/${context.emitem}/emstocks/${context.emstock}`,isloading);
        }
        if(context.emservice && context.emitem && context.emstock){
            return Http.getInstance().get(`/emservices/${context.emservice}/emitems/${context.emitem}/emstocks/${context.emstock}`,isloading);
        }
        if(context.emstore && context.emstock){
            return Http.getInstance().get(`/emstores/${context.emstore}/emstocks/${context.emstock}`,isloading);
        }
        if(context.emstorepart && context.emstock){
            return Http.getInstance().get(`/emstoreparts/${context.emstorepart}/emstocks/${context.emstock}`,isloading);
        }
        if(context.emitem && context.emstock){
            return Http.getInstance().get(`/emitems/${context.emitem}/emstocks/${context.emstock}`,isloading);
        }
            let res:any = await Http.getInstance().get(`/emstocks/${context.emstock}`,isloading);
            return res;

    }

    /**
     * FetchDefault接口方法
     *
     * @param {*} [context={}]
     * @param {*} [data={}]
     * @param {boolean} [isloading]
     * @returns {Promise<any>}
     * @memberof EMStockServiceBase
     */
    public async FetchDefault(context: any = {},data: any = {}, isloading?: boolean): Promise<any> {
        if(context.emstore && context.emstorepart && context.emitem && true){
            let tempData:any = JSON.parse(JSON.stringify(data));
            return Http.getInstance().get(`/emstores/${context.emstore}/emstoreparts/${context.emstorepart}/emitems/${context.emitem}/emstocks/fetchdefault`,tempData,isloading);
        }
        if(context.emstore && context.emstorepart && true){
            let tempData:any = JSON.parse(JSON.stringify(data));
            return Http.getInstance().get(`/emstores/${context.emstore}/emstoreparts/${context.emstorepart}/emstocks/fetchdefault`,tempData,isloading);
        }
        if(context.pfunit && context.emitem && true){
            let tempData:any = JSON.parse(JSON.stringify(data));
            return Http.getInstance().get(`/pfunits/${context.pfunit}/emitems/${context.emitem}/emstocks/fetchdefault`,tempData,isloading);
        }
        if(context.pfemp && context.emitem && true){
            let tempData:any = JSON.parse(JSON.stringify(data));
            return Http.getInstance().get(`/pfemps/${context.pfemp}/emitems/${context.emitem}/emstocks/fetchdefault`,tempData,isloading);
        }
        if(context.emstore && context.emitem && true){
            let tempData:any = JSON.parse(JSON.stringify(data));
            return Http.getInstance().get(`/emstores/${context.emstore}/emitems/${context.emitem}/emstocks/fetchdefault`,tempData,isloading);
        }
        if(context.emstorepart && context.emitem && true){
            let tempData:any = JSON.parse(JSON.stringify(data));
            return Http.getInstance().get(`/emstoreparts/${context.emstorepart}/emitems/${context.emitem}/emstocks/fetchdefault`,tempData,isloading);
        }
        if(context.emservice && context.emitem && true){
            let tempData:any = JSON.parse(JSON.stringify(data));
            return Http.getInstance().get(`/emservices/${context.emservice}/emitems/${context.emitem}/emstocks/fetchdefault`,tempData,isloading);
        }
        if(context.emstore && true){
            let tempData:any = JSON.parse(JSON.stringify(data));
            return Http.getInstance().get(`/emstores/${context.emstore}/emstocks/fetchdefault`,tempData,isloading);
        }
        if(context.emstorepart && true){
            let tempData:any = JSON.parse(JSON.stringify(data));
            return Http.getInstance().get(`/emstoreparts/${context.emstorepart}/emstocks/fetchdefault`,tempData,isloading);
        }
        if(context.emitem && true){
            let tempData:any = JSON.parse(JSON.stringify(data));
            return Http.getInstance().get(`/emitems/${context.emitem}/emstocks/fetchdefault`,tempData,isloading);
        }
        let tempData:any = JSON.parse(JSON.stringify(data));
        return Http.getInstance().get(`/emstocks/fetchdefault`,tempData,isloading);
    }

    /**
     * FetchTypeStock接口方法
     *
     * @param {*} [context={}]
     * @param {*} [data={}]
     * @param {boolean} [isloading]
     * @returns {Promise<any>}
     * @memberof EMStockServiceBase
     */
    public async FetchTypeStock(context: any = {},data: any = {}, isloading?: boolean): Promise<any> {
        if(context.emstore && context.emstorepart && context.emitem && true){
            let tempData:any = JSON.parse(JSON.stringify(data));
            return Http.getInstance().get(`/emstores/${context.emstore}/emstoreparts/${context.emstorepart}/emitems/${context.emitem}/emstocks/fetchtypestock`,tempData,isloading);
        }
        if(context.emstore && context.emstorepart && true){
            let tempData:any = JSON.parse(JSON.stringify(data));
            return Http.getInstance().get(`/emstores/${context.emstore}/emstoreparts/${context.emstorepart}/emstocks/fetchtypestock`,tempData,isloading);
        }
        if(context.pfunit && context.emitem && true){
            let tempData:any = JSON.parse(JSON.stringify(data));
            return Http.getInstance().get(`/pfunits/${context.pfunit}/emitems/${context.emitem}/emstocks/fetchtypestock`,tempData,isloading);
        }
        if(context.pfemp && context.emitem && true){
            let tempData:any = JSON.parse(JSON.stringify(data));
            return Http.getInstance().get(`/pfemps/${context.pfemp}/emitems/${context.emitem}/emstocks/fetchtypestock`,tempData,isloading);
        }
        if(context.emstore && context.emitem && true){
            let tempData:any = JSON.parse(JSON.stringify(data));
            return Http.getInstance().get(`/emstores/${context.emstore}/emitems/${context.emitem}/emstocks/fetchtypestock`,tempData,isloading);
        }
        if(context.emstorepart && context.emitem && true){
            let tempData:any = JSON.parse(JSON.stringify(data));
            return Http.getInstance().get(`/emstoreparts/${context.emstorepart}/emitems/${context.emitem}/emstocks/fetchtypestock`,tempData,isloading);
        }
        if(context.emservice && context.emitem && true){
            let tempData:any = JSON.parse(JSON.stringify(data));
            return Http.getInstance().get(`/emservices/${context.emservice}/emitems/${context.emitem}/emstocks/fetchtypestock`,tempData,isloading);
        }
        if(context.emstore && true){
            let tempData:any = JSON.parse(JSON.stringify(data));
            return Http.getInstance().get(`/emstores/${context.emstore}/emstocks/fetchtypestock`,tempData,isloading);
        }
        if(context.emstorepart && true){
            let tempData:any = JSON.parse(JSON.stringify(data));
            return Http.getInstance().get(`/emstoreparts/${context.emstorepart}/emstocks/fetchtypestock`,tempData,isloading);
        }
        if(context.emitem && true){
            let tempData:any = JSON.parse(JSON.stringify(data));
            return Http.getInstance().get(`/emitems/${context.emitem}/emstocks/fetchtypestock`,tempData,isloading);
        }
        let tempData:any = JSON.parse(JSON.stringify(data));
        return Http.getInstance().get(`/emstocks/fetchtypestock`,tempData,isloading);
    }
}